Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.vote
Class ConsensusBased

    java.lang.Object
      org.acegisecurity.vote.AbstractAccessDecisionManager
          org.acegisecurity.vote.ConsensusBased

All Implemented Interfaces:
  AccessDecisionManager, InitializingBean, MessageSourceAware

    public class ConsensusBased

extends AbstractAccessDecisionManager

Simple concrete implementation of `AccessDecisionManager` that uses a consensus-based approach.

Field Summary

Fields inherited from class org.acegisecurity.vote.AbstractAccessDecisionManager
`messages`

Constructor Summary
`ConsensusBased()`

Method Summary
`void` | `decide(Authentication authentication, Object object, ConfigAttributeDefinition config)` This concrete implementation simply polls all configured `AccessDecisionVoter`s and upon completion determines the consensus of granted vs denied responses.
`boolean` | `isAllowIfEqualGrantedDeniedDecisions()`
`void` | `setAllowIfEqualGrantedDeniedDecisions(boolean allowIfEqualGrantedDeniedDecisions)`

Methods inherited from class org.acegisecurity.vote.AbstractAccessDecisionManager
`afterPropertiesSet, getDecisionVoters, isAllowIfAllAbstainDecisions, setAllowIfAllAbstainDecisions, setDecisionVoters, setMessageSource, supports, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsensusBased

    public ConsensusBased()

Method Detail

### decide

    public void decide(Authentication authentication,
                       Object object,
                       ConfigAttributeDefinition config)
                throws AccessDeniedException

  This concrete implementation simply polls all configured `AccessDecisionVoter`s and upon completion determines the consensus of granted vs denied responses.

  If there were an equal number of grant and deny votes, the decision will be based on the `isAllowIfEqualGrantedDeniedDecisions()` property (defaults to true).

  If every `AccessDecisionVoter` abstained from voting, the decision will be based on the `AbstractAccessDecisionManager.isAllowIfAllAbstainDecisions()` property (defaults to false).

  Parameters:
    `authentication` - the caller invoking the method
    `object` - the secured object
    `config` - the configuration attributes associated with the method being invoked
  Throws:
    `AccessDeniedException` - if access is denied

### isAllowIfEqualGrantedDeniedDecisions

    public boolean isAllowIfEqualGrantedDeniedDecisions()

### setAllowIfEqualGrantedDeniedDecisions

    public void setAllowIfEqualGrantedDeniedDecisions(boolean allowIfEqualGrantedDeniedDecisions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.